<?php
/**
 * @version $Id: header.php 248 2008-05-23 10:40:56Z elkuku $
 * @package		prot_conf
 * @subpackage	
 * @author		EasyJoomla {@link http://www.easy-joomla.org Easy-Joomla.org}
 * @author		Jays.Soho {@link http://jays.survey-partner.com}
 * @author		Efthimios Mavrogeorgiadis
 * @author		Created on 25-Feb-2009
 */

// no direct access
defined( '_JEXEC' ) or die( ';)' );

jimport('joomla.application.component.controller');
jimport('joomla.application.component.view');

// Require the base controller
require_once( JPATH_COMPONENT.DS.'controller.php' );
include_once( JPATH_COMPONENT.DS."language".DS."english.messages.php" );
include_once JPATH_ROOT . "/libraries/joomla/html/html/select.php";

// Require specific controller if requested
$controller = JRequest::getVar('controller','permit');

$path = JPATH_COMPONENT.DS.'controllers'.DS.$controller.'.php';

if( file_exists($path))
{
	require_once($path);
} else	{
	$controller = '';
}


// Create the controller
$classname    = 'prot_confController'.$controller;
$controller   = new $classname();

// Perform the Request task
$controller->execute( JRequest::getVar( 'task' ) );

// Redirect if set by the controller
$controller->redirect();